# Serveur kea DHCP HA avec serveur Stork

## Présentation

Cette `Vagrantfile` permet d'installer :
  * un serveur DHCP **kea1** en mode HA (primary) 
  * un serveur DHCP **kea2** en mode HA (secondary)
  * un serveur de suivi/administration web **stork** pour kea 



La Vagrantfile utilise les playbooks ansible suivants :
  * **provision/setup-stork.yml** qui:
    * installe les dépots ISC pour stork
    * installe les paquets **postgresql**, **postgresql-contrib**, **stork-server** 
    * crée la base de données stork et genère le fichiers de configuration de **stork-server**  
    * relance le service **isc-stork-server** 
  * **provision/setup-kea.yml** qui:
    * installe les dépots ISC pour kea
    * installe les paquets **isc-kea-dhcp4-server**, **isc-kea-ctrl-agent**, **isc-kea-hooks** 
    * installe les dépots ISC pour stork
    * installe le paquet **stork-agent**
    * genére les fichiers de configuration pour chacun des services
    * relance les services
    * enregistre (`stork-agent register`) le serveur auprès du serveur stork 

## Les services et ports 
  * serveur **stork** : 
    * service **stork-server:8080** 
  * serveur **kea1** et **kea2** : 
    * service **isc-kea-dhcp4-server:8000** (utilisé par la HA)
    * service **kea-ctrl-agent:8001**
    * service **isc-stork-agent:8080**

## Utilisation de la Vagrantfile
  
````shell
   vagrant up stork
   vagrant up kea1
   vagrant up kea2
```` 
On peut alors se connecter au serveur **stork** avec un navigateur : http://adresse:8080
(admin/admin)

Une fois connecté, on doit autoriser chacun des deux serveurs **kea1** et **kea2** inscrits



